#ifndef _XGRAV_H_
#define _XGRAV_H_

typedef struct{
	double x, y;
} Vector;

typedef struct{
	Vector p;  // position (x, y)
	Vector v;  // velocity (x.m/s, y.m/s)
	double m;  // mass (kg)
	int fixed; // != 0: planet is fixed in position
	int color;
} Planet;

#endif
